edu.sc.seis.sod.status.networkArm

## Class ChannelsInStationTemplate

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.FileWritingTemplate
    - - edu.sc.seis.sod.status.networkArm.NetworkInfoTemplate
      - - edu.sc.seis.sod.status.networkArm.ChannelsInStationTemplate

- All Implemented Interfaces:
    GenericTemplate, java.lang.Runnable

      public class ChannelsInStationTemplate
      extends NetworkInfoTemplate

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelsInStationTemplate(org.w3c.dom.Element el, java.lang.String baseDir, java.lang.String outputLocation, edu.iris.Fissures.IfNetwork.Station sta)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `change(edu.iris.Fissures.IfNetwork.Channel channel, Status status)`
    `void` | `change(edu.iris.Fissures.IfNetwork.Site site, Status status)`
    `protected java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.

    - ### Methods inherited from class edu.sc.seis.sod.status.networkArm.NetworkInfoTemplate

      `write`

    - ### Methods inherited from class edu.sc.seis.sod.status.FileWritingTemplate

      `getBaseDirectoryName, getFilename, getOutputDirectory, getOutputLocation, getResult, run, testOutputLoc, textTemplate, toString, write`

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelsInStationTemplate

          public ChannelsInStationTemplate(org.w3c.dom.Element el,
                                           java.lang.String baseDir,
                                           java.lang.String outputLocation,
                                           edu.iris.Fissures.IfNetwork.Station sta)
                                    throws ConfigurationException,
                                           java.io.IOException

      Throws:
        `ConfigurationException`
        `java.io.IOException`

  - ### Method Detail

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tag,
                                                 org.w3c.dom.Element el)
                                          throws ConfigurationException

      Description copied from class: `Template`
      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it should return the superclass implementation of the getCommonTemplate method. Though no harm will come from merely returning null, they won't benefit from the wisdom and extra tags provided by their elder classes.
      Overrides:
        `getTemplate` in class `FileWritingTemplate`
      Throws:
        `ConfigurationException`

    - #### change

          public void change(edu.iris.Fissures.IfNetwork.Channel channel,
                             Status status)

    - #### change

          public void change(edu.iris.Fissures.IfNetwork.Site site,
                             Status status)